SingularAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface SingularAttributeBinding

All Superinterfaces:
  AttributeBinding

All Known Subinterfaces:
  SingularAssociationAttributeBinding

All Known Implementing Classes:
  AbstractSingularAttributeBinding, BasicAttributeBinding, ComponentAttributeBinding, ManyToOneAttributeBinding

    public interface SingularAttributeBinding

extends AttributeBinding

Specialized binding contract for singular (non-collection) attributes

Method Summary
`PropertyGeneration` | `getGeneration()` Obtain the generation strategy for this attribute/value.
`Iterable<SimpleValueBinding>` | `getSimpleValueBindings()`
`int` | `getSimpleValueSpan()` Returns the number of `SimpleValueBinding` objects that will be returned by `getSimpleValueBindings()`
`Value` | `getValue()` Obtain the value bound here.
`boolean` | `hasDerivedValue()` Convenience method to determine if any `simple value bindings` are derived values (formula mappings).
`boolean` | `isNullable()` Convenience method to determine if all `simple value bindings` allow nulls.
`void` | `setSimpleValueBindings(Iterable<SimpleValueBinding> simpleValueBindings)`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isAssociation, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### getValue

    Value getValue()

  Obtain the value bound here. This could potentially be a `Tuple` indicating multiple database values are bound, in which case access to the individual values can be achieved by either casting this return to `Tuple` and using its `Tuple.values()` method or using the `getSimpleValueBindings()` method here and accessing each bindings `simple value`

  Returns:
    The bound value

### getSimpleValueSpan

    int getSimpleValueSpan()

  Returns the number of `SimpleValueBinding` objects that will be returned by `getSimpleValueBindings()`

  Returns:
    the number of `simple value bindings`
  See Also:
    `getSimpleValueBindings()`

### getSimpleValueBindings

    Iterable<SimpleValueBinding> getSimpleValueBindings()

### setSimpleValueBindings

    void setSimpleValueBindings(Iterable<SimpleValueBinding> simpleValueBindings)

### hasDerivedValue

    boolean hasDerivedValue()

  Convenience method to determine if any `simple value bindings` are derived values (formula mappings).

  Returns:
    `true` indicates that the binding contains a derived value; `false` indicates it does not.

### isNullable

    boolean isNullable()

  Convenience method to determine if all `simple value bindings` allow nulls.

  Returns:
    `true` indicates that all values allow `null`; `false` indicates one or more do not

### getGeneration

    PropertyGeneration getGeneration()

  Obtain the generation strategy for this attribute/value.

  Returns:
    The generation strategy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.